Gogs (Go Git Service) is a painless self-hosted Git service.

### Purpose

The goal of this project is to make the easiest, fastest, and most painless way to set up a self-hosted Git service.

### Features

- Activity timeline
- SSH/HTTP(S) protocol support
- SMTP/LDAP/reverse proxy authentication support
- Reverse proxy suburl support
- Account/Organization(with team)/Repository management
- Repository/Organization webhooks(including Slack)
- Repository Git hooks/deploy keys
- Add/remove repository collaborators
- Gravatar and custom source support
- Mail service
- Administration panel
- Drone CI integration
- Supports MySQL, PostgreSQL and SQLite3
- Social account login (GitHub, Google, QQ, Weibo)
- Multi-language support ([14 languages](https://crowdin.com/project/gogs))

### Bug reports

Open bugs on [Github](https://github.com/cloudron-io/gogs-app/issues)

